import { format } from 'd3';

const csvUrl =
  'https://raw.githubusercontent.com/CSSEGISandData/COVID-19/master/csse_covid_19_data/csse_covid_19_time_series/time_series_covid19_deaths_global.csv';

const sum = (accumulator, currentValue) => accumulator + currentValue;

const commaFormatter = format(',');

// With d3.csv
d3.csv(csvUrl).then((data) => {
  const latestDateColumn = data.columns[data.columns.length - 1]
  
  const deathTotal = data.map(d => +d[latestDateColumn]).reduce(sum, 0);
  const message = commaFormatter(deathTotal) + ' deaths' + '\nas of ' + latestDateColumn;
  document.getElementById(
    'message-container'
  ).textContent = message;
});
